import dynamix_sdk.base as _base


class CloudbrokerDisksMigrateAbortResultBool(_base.BaseAPIResultBool):
    pass


class CloudbrokerDisksMigrateAbortProtocol(_base.BasePostAPIFunctionProtocol):
    def migrate_abort(
        self,
        *,
        disk_id: int,
    ) -> CloudbrokerDisksMigrateAbortResultBool:
        ...
